package Klausur.Navi;

public class Strasse {
	private Ort ort1;
	private Ort ort2;
	
	private int laenge;
	private boolean erledigt;
	
	public Strasse(Ort o1, Ort o2, int l) {
		this.ort1 = o1;
		this.ort2 = o2;
		this.laenge = l;
		
		o1.addStrasse(this);
		o2.addStrasse(this);
	}
	
	public Ort getAndererOrt(Ort start) {
		if (ort1 == start) 
			return ort2;
		
		return ort1;
	}
	
	public int getLaenge() {
		return laenge;
	}
	
	public String toString() {
		return "Straße: " + ort1.getName() + " " + ort2.getName();
	}

	public boolean isErledigt() {
		return erledigt;
	}

	public void setErledigt(boolean erledigt) {
		this.erledigt = erledigt;
	}
	
}
